using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.WmsRepository.Request
{
    public class RequestUpdateStorage
    {
        [Required(ErrorMessage = "IDNotNull")]
        public int id { get; set; }
        [Required(ErrorMessage = "StorageIDNotNull")]
        public int typeid { get; set; }
        [Required(ErrorMessage = "StorageNameNotNull")]
        public string name { get; set; }
        [Required(ErrorMessage = "StorageAddressNotNull")]
        public string address { get; set; }
        public string description { get; set; }

        [Required(ErrorMessage = "ContractNotNull")]
        public string linkman { get; set; }

        [Required(ErrorMessage = "PhoneNotNull")]
        public string phone { get; set; }
        [Required(ErrorMessage = "MobileNotNull")]
        public string mobile { get; set; }
        public bool status { get; set; } = false;
    }
}
